Make check: js/src/trace-test/tests/basic/testBug507425.js timed out (after testBug504520Harder.js passes)

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
10 years ago
7 years ago

People

(Reporter: jruderman, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
macOS
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260183179.1260190157.21380.gz

Is that actually testBug504520Harder.js timing out, or it passing and the next test failing?
(Reporter)

Comment 2

10 years ago
Oh right.  It makes much more sense that the following test, testBug507425.js, is timing out.  It looks like it intentionally OOMs.

See also bug 518013.
Summary: Make check: js/src/trace-test/tests/basic/testBug504520Harder.js timed out → Make check: js/src/trace-test/tests/basic/testBug507425.js timed out
Though without testBug504520Harder.js in the summary, I'll never find this again :)
Summary: Make check: js/src/trace-test/tests/basic/testBug507425.js timed out → Make check: js/src/trace-test/tests/basic/testBug507425.js timed out (after testBug504520Harder.js passes)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260646526.1260652334.28687.gz
OS X 10.5.2 mozilla-central leak test build on 2009/12/12 11:35:26
s: moz2-darwin9-slave10
buildbot.slave.commands.TimeoutError: command timed out: 300 seconds without output, killing pid 17256
(Reporter)

Comment 7

10 years ago
Can this test be rewritten to test the tracer without OOMing, or should it just be disabled?
Blocks: 507425
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260735489.1260740908.24005.gz#err0
OS X 10.5.2 mozilla-central leak test build on 2009/12/13 12:18:09
s: moz2-darwin9-slave07

Comment 9

10 years ago
OS X 10.5.2 mozilla-central leak test build on 2009/12/15 05:45:25
s: moz2-darwin9-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260884725.1260886818.5525.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260907964.1260920015.28488.gz
WINNT 5.2 mozilla-central leak test build on 2009/12/15 12:12:44
s: win32-slave33
(Reporter)

Comment 11

10 years ago
bc, what's the right way to disable a trace-test?

Comment 12

10 years ago
I don't know, but dmandelin would.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260938935.1260942939.26878.gz
OS X 10.5.2 mozilla-central leak test build on 2009/12/15 20:48:55
s: moz2-darwin9-slave06
This patch will disable the test in 'make check' by marking it as slow. Is that what we want to do? (I'm all for it.)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260992165.1260994280.3377.gz
OS X 10.5.2 mozilla-central leak test build on 2009/12/16 11:36:05
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262882881.1262899443.22195.gz
WINNT 5.2 mozilla-central leak test build on 2010/01/07 08:48:01
s: win32-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264180584.1264191793.18627.gz
WINNT 5.2 mozilla-central leak test build on 2010/01/22 09:16:24
s: win32-slave35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264192187.1264208370.12945.gz
WINNT 5.2 mozilla-central leak test build on 2010/01/22 12:29:47
s: win32-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268670715.1268686536.24677.gz
WINNT 5.2 mozilla-central leak test build on 2010/03/15 09:31:55
s: win32-slave43
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281461579.1281478326.23006.gz
WINNT 5.2 mozilla-central leak test build on 2010/08/10 10:32:59
s: win32-slave44
Gonna go ahead and mark this as WFM since it hasn't happened in over a year.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.